Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_digest_metadata_t Struct Reference

`#include <digest.h>`

## Data Fields
int | api_version
size_t | digest_len
size_t | block_len
size_t | ctx_size
rb_digest_hash_init_func_t | init_func
rb_digest_hash_update_func_t | update_func
rb_digest_hash_finish_func_t | finish_func

## Detailed Description

Definition at line 24 of file digest.h.

## Field Documentation

## ◆ api_version

int rb_digest_metadata_t::api_version

Definition at line 25 of file digest.h.

## ◆ block_len

size_t rb_digest_metadata_t::block_len

Definition at line 27 of file digest.h.

## ◆ ctx_size

size_t rb_digest_metadata_t::ctx_size

Definition at line 28 of file digest.h.

## ◆ digest_len

size_t rb_digest_metadata_t::digest_len

Definition at line 26 of file digest.h.

## ◆ finish_func

rb_digest_hash_finish_func_t rb_digest_metadata_t::finish_func

Definition at line 31 of file digest.h.

## ◆ init_func

rb_digest_hash_init_func_t rb_digest_metadata_t::init_func

Definition at line 29 of file digest.h.

## ◆ update_func

rb_digest_hash_update_func_t rb_digest_metadata_t::update_func

Definition at line 30 of file digest.h.

The documentation for this struct was generated from the following file:

- ext/digest/digest.h